/* write_emps.c */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <ctype.h>
#include "emps.h"

void write_employees_to_file (const struct employees *employee, int idx)
{
   FILE *ofp;
   struct employees temp;
   int j;
   int num;

   /* open the file for writing list of employees */
   if ((ofp = fopen ("employees", "w")) != NULL)
   {
      /* Write employees into file, one at a time. */
      for (j=0; j < idx;  j++)
      {
         if ((num = fwrite(&employee[j], sizeof(struct employees), 1, ofp)) < 1)
         {
	    perror ("write_employees_to_file");
	    exit (errno);
         }     /* if fwrite */
      }

      /* close the file */
      fclose (ofp);
   }     /* if fopen */
}     /* write_employees_to_file */
