/* read_emps.c */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <ctype.h>
#include "emps.h"

void read_employees_from_file (empls **head, empls **tail)
{
   FILE *ifp;
   empls temp_emp;

   /* open the file for reading */
   if ((ifp = fopen ("employees", "r")) != NULL)
   {
      /* File existed.  Read existing employees into list, one at a time. */
      while (1 == fread (&temp_emp, sizeof(empls), 1, ifp))
         insert_employee (head, tail, temp_emp);

      /* close the existing file */
      fclose (ifp);
   }     /* if fopen */
}     /* read_employees_from_file */
