#include <stdio.h>
void swap_by_value (int first, int second);
void swap_by_ref (int * first, int * second);

int main (void)
{
   int one = 1;
   int two = 2;
 
   printf ("BEFORE SWAP BY VALUE: one = %d, two = %d\n", one, two);
   swap_by_value (one,two);
   printf ("AFTER SWAP BY VALUE: one = %d, two = %d\n", one, two);

   printf ("BEFORE SWAP BY REF: one = %d, two = %d\n", one, two);
   swap_by_ref (&one,&two);
   printf ("AFTER SWAP BY REF: one = %d, two = %d\n", one, two);
}     /* main */

void swap_by_value (int first, int second)
{
   int tmp;
   tmp = first;
   first = second;
   second = tmp;
}     /* swap_by_value */

void swap_by_ref (int * first, int * second)
{
   int tmp;
   tmp = *first;
   *first = *second;
   *second = tmp;
}     /* swap_by_ref */

