/* 5-173b.c */
#include <stdio.h>

/* The fscanf() function in this program is reading one character at a time.
   The user will enter a character, followed by another (the carriage
   return).  The second fscanf() picks up the carriage return without
   allowing the user to "catch their breath".

   The second character (carriage return) must be discarded before the
   second scanf() is invoked.  This is accomplished with the fflush()
   function.
*/
void main (void)
{
   char ch1, ch2;
   printf ("Please enter one character ");
   fscanf (stdin, "%c", &ch1);
   fflush (stdin);       /* THE FIX */
   printf ("Please enter one character ");
   fscanf (stdin, "%c", &ch2);

   printf ("You entered the following characters : %c %c\n", ch1, ch2);
}     /* main */
