/* display_all.c */

#include <stdio.h>
#include <emps.h>

void display_all (const struct employees *employee, int idx)
{
   int j = 0;     	  /* used as temp index */ 

   /* if there is at least one employee in the list */
   if (idx > 0)
   {
      printf ("   a - Display all employees information\n\n");
      printf ("   --------------------------------------\n");

      /* There are idx employees in the array.  Display them. */
      for (j=0; j < idx; j++)
      {
         printf ("   %s %d %d %d\n", 
            employee[j].name,
            employee[j].id,
            employee[j].dept,
            employee[j].age);
      }     /* end for */
      printf ("   --------------------------------------\n");

      go_on("Press ENTER to continue >");

   }     /* if (idx > 0) */
   else 
   {
      go_on("There are no employees in the list." 
	    "  Press ENTER to continue >");

   }     /* idx < 0 */
}     /* display_all */
