/* insert_employee.c */
#include <stdlib.h>
#include <stdio.h>
#include <emps.h>

void insert_employee (empls **head, empls **tail, empls temp_emp)
{
   /* initialize the new node pointer */
   empls *newn = NULL;

   /* allocate the new node */
   if (NULL == (newn = (empls *) malloc (sizeof (empls))))
   {
      perror ("insert_employee");
      exit (EXIT_FAILURE);
   }

   /* assign the employee contents to the new node */
   *newn = temp_emp;

   /* always initialize your pointers */
   newn->next = NULL;

   /* Will this be the first node in the list? */
   if (*head == NULL)
   {
      /* initialize the pointers */
      *head = *tail = newn;
   }    /* *head == NULL */
   else
   {
      /* append the new node onto the end of the list */
      (*tail)->next = newn;

      /* reassign the tail */
      *tail = (*tail)->next;
   }     /* *head != NULL */
}     /* insert_employee */
