/* 9-13.c  - main program */

#include <stdio.h>
#include <string.h>       /* for strcmp() */
#include <stdlib.h>       /* for system(), NULL */
#include <emps.h>         /* must use -I to compile */

void main (void)
{
   /* initialize your list pointers */
   empls *head = NULL;

   char selection;   /* user menu selection */
   int done = 0;     /* flag indicator of when to leave loop */

   /* Read existing employees from the file. */
   read_employees_from_file (&head);

   while (!done)
   {
      /* display the menu and get the user's selection */
      selection = get_selection ();

      /* carry out user's selection */
      process_selection (selection, &head, &done);

   }     /* while */

   /* Write existing employees to the file. */
   write_employees_to_file (head);
}     /* main */
