/* 5-21.c  - main program */

#include <stdio.h>
#include <string.h>       /* for strcmp() */
#include <stdlib.h>       /* for system() */
#include <emps.h>         /* must use -I to compile */

void main (void)
{
   /* define array of employee structures */
   struct employees employee [MAX];

   char selection;        /* user menu selection */
   int done = 0; 	  /* flag indicator of when to leave loop */
   int idx  = 0; 	  /* count of records entered so far */

   /* Read existing employees from the file. */
   read_employees_from_file (employee, &idx);

   while (!done)
   {
      /* display the menu and get the user's selection */
      selection = get_selection ();

      /* carry out user's selection */
      process_selection (selection, employee, &idx, &done);

   }     /* while */

   /* Write existing employees to the file. */
   write_employees_to_file (employee, idx);
}     /* main */
