/* display_an_emp.c */

#include <stdio.h>
#include <emps.h>

void display_an_employee (struct employees *employee[], int *idx)
{
   int j = 0;     	  /* used as temp index */ 
   char tmp[45];	  /* temp var to hold string values */
   char ch; 		  /* temp var to hold user selection */

   printf ("Enter employee's name > ");
   gets (tmp);

   /* starting from the first employee, search for employee tmp */
   for (j = 0; j < *idx; j++)
   {
      if (strcmp (employee[j]->name, tmp) == 0)
      {
         /* found the employee, print the information */
         printf ("   --------------------------------------\n");
         printf ("   %s %d %d %d\n", 
            employee[j]->name,
            employee[j]->id,
            employee[j]->dept,
            employee[j]->age);
         printf ("   --------------------------------------\n");
	 go_on("Press ENTER to continue >");
	 break;
      }   /* end if */
   }   /* end for */
   if (j == *idx)
   {
      /* didn't find the employee in the list, enter them? */
      printf ("Employee %s not found.  "
	      "Do you want to add %s (y/n) ?", tmp,tmp);

      if ((ch = toupper (getchar())) == 'Y')
      {
         fflush (stdin);

         /* if there is still room, enter the employee information */
         if (*idx < MAX)
	    add_employee (&employee[*idx], idx);
   	 else
	    print_sorry();
      }     /* 'Y' */
      else
      {
	 go_on("Press ENTER to continue >");

      }     /* end if - don't add new employee */
   }     /* j == *idx */
}     /* display_an_employee */
