/* write_emps.c */

#include <errno.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/uio.h>
#include <unistd.h>
#include "emps.h"

void write_employees_to_file (const struct employees *employee, int idx)
{
   int ofd;
   struct employees temp;
   int n = 0;

   /* open the file for writing list of employees */
   if ((ofd = open ("employees", O_WRONLY | O_TRUNC | O_CREAT, 0644)) != -1)
   {
      /* Write employees into file. */
      n = write (ofd, employee, idx * sizeof (struct employees));

      /* close the file */
      close (ofd);
   }     /* if fopen */
}     /* write_employees_to_file */
