/* 9-13.c  - main program */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <ctype.h>
#include "emps.h"

void main (void)
{
   /* initialize your list pointers */
   empls *head = NULL,
         *tail = NULL;

   char selection;   /* user menu selection */
   int done = 0;     /* flag indicator of when to leave loop */

   /* Read existing employees from the file. */
   read_employees_from_file (&head, &tail);

   while (!done)
   {
      /* display the menu and get the user's selection */
      selection = get_selection ();

      /* carry out user's selection */
      process_selection (selection, &head, &tail, &done);

   }     /* while */

   /* Write existing employees to the file. */
   write_employees_to_file (head);
}     /* main */
