/* display_an_emp.c */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <ctype.h>
#include "emps.h"

void display_an_employee (empls **head, empls **tail)
{
   char tmp[45];	  /* temp var to hold string values */
   char ch; 		  /* temp var to hold user selection */
   empls *temp_emp = *head;   /* initialize temp ptr to start of list */

   printf ("Enter employee's name > ");
   gets (tmp);

   /* as long as there are employees in the list */
   while (temp_emp != NULL)
   {
      if (strcmp (temp_emp->name, tmp) == 0)
      {
         /* found the employee, print the information */
         printf ("   --------------------------------------\n");
         printf ("   %s %d %d %d\n", 
            temp_emp->name,
            temp_emp->id,
            temp_emp->dept,
            temp_emp->age);
         printf ("   --------------------------------------\n");
	 go_on("Press ENTER to continue >");
	 break;
      }     /* strcmp */

      /* advance the pointer to the next employee in the list */
      temp_emp = temp_emp->next;
   }     /* while */

   if (temp_emp == NULL)
   {
      /* didn't find the employee in the list, enter them? */
      printf ("Employee %s not found.  "
	      "Do you want to add %s (y/n) ?", tmp,tmp);

      if ((ch = toupper (getchar())) == 'Y')
      {
         fflush (stdin);
         insert_employee (head, tail, get_employee());
      }     /* 'Y' */
      else
      {
	 go_on("Press ENTER to continue >");
      }     /* end if - don't add new employee */
   }     /* temp_emp == NULL */
}     /* display_an_employee */
