/* display_an_emp.c */

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <ctype.h>
#include "emps.h"

void display_or_update_employee (empls **head, const char status)
{
   char tmp[45];	  /* temp var to hold string values */
   char ch; 		  /* temp var to hold user selection */
   empls *temp_emp = *head;   /* initialize temp ptr to start of list */
   empls emp;

   printf ("Enter employee's name > ");
   gets (tmp);

   /* as long as there are employees in the list */
   while (temp_emp != NULL)
   {
      if (strcmp (temp_emp->name, tmp) == 0)
      {
         /* found the employee, print the information */
         printf ("   --------------------------------------\n");
         printf ("   %s %d %d %d\n", 
            temp_emp->name,
            temp_emp->id,
            temp_emp->dept,
            temp_emp->age);
         printf ("   --------------------------------------\n");

	 if (status == 'd')
	 {
  	    go_on("Press ENTER to continue >");
	    break;
	 }     /* display employee */
	 else
	 {
	    /* remove prior employee information */
	    remove_emp (head, temp_emp->name);

	    /* enter new info */
	    emp = get_employee (); 

	    /* insert the employee into the list */
            insert_employee (head, emp);
            break;
	 }     /* update employee */
      }     /* strcmp */

      /* advance the pointer to the next employee in the list */
      temp_emp = temp_emp->next;
   }     /* while */

   if (temp_emp == NULL)
   {
      /* didn't find the employee in the list, enter them? */
      printf ("Employee %s not found.  "
	      "Do you want to add %s (y/n) ?", tmp,tmp);

      if ((ch = toupper (getchar())) == 'Y')
      {
         fflush (stdin);
         insert_employee (head, get_employee());
      }     /* 'Y' */
      else
      {
	 go_on("Press ENTER to continue >");
      }     /* end if - don't add new employee */
   }     /* temp_emp == NULL */
}     /* display_or_update_employee */
