
#include <stdio.h>
#include <stdlib.h>

double *dim1( int elements )
{
    double *pdata = NULL;

    if( ( pdata = (double *)malloc( elements * sizeof(double) ) ) == NULL) {
        fprintf(stderr,"No heap space for dim1 data\n");
        exit(1);
    }

    return pdata;
}

double *dim2( int elements )
{
    double *pdata = NULL;

    if( ( pdata = (double *)calloc( elements, sizeof(double) ) ) == NULL) {
        fprintf(stderr,"No heap space for dim2 data\n");
        exit(1);
    }

    return pdata;
}
