#include <stdio.h>
#include <stdlib.h>
int main(int argc, char *argv[])
{
   /* b is an array of 5 pointers to char */
   char *b[5];
   int j=0, row=0, num_of_cols=0;
   
   /* check usage */
   if( argc != 2 ){
      fprintf(stderr, "Usage: %s row dimension\n", argv[0] );
      exit(1);
   }

   num_of_cols = atoi (argv[1]);

   /* allocate each element of the array, where each element
      is an array of num_of_cols characters  */
   for (row=0; row<5; row++)
      b[row] = calloc (num_of_cols, sizeof (char));

   /* assign values to the elements */
   for (row=0; row<5; row++)
      for (j=0; j<num_of_cols; j++)
         b[row][j] = 65+row+j;

   /* display the elements */
   for (row=0; row<5; row++)
   {
      for (j=0; j<num_of_cols; j++)
         /* show equivalent (ugly) pointer notation */
         printf ("b[%d][%d] = %c ",row,j,(*(*(b+row)+j)));
      printf ("\n");
   }
   /* free memory */
   for (row=0; row<5; row++)
      free (b[row]);
}

