/* sizeofex.c: The sizeof operator returns the number of bytes in the 
	       struct ex_struct.  */

#include <stdio.h>
#include <stdlib.h>

int main(void)
{
    struct ex_struct {
       char  exf1;        /* 1 byte */
       int   exf2;        /* 4 bytes on this machine */
       float exf3;        /* 4 bytes on this machine */
       long  exf4[80];    /* 4 bytes on this machine times 80 = 320 bytes */
       double exf5;       /* 8 bytes on this machine */
       char  exf6[80];    /* 1 byte  times 80 = 80 bytes */
    };

    printf("The size of the structure is %d bytes.\n",sizeof(struct ex_struct));
    /* the output on this machine will be 420 bytes instead of 417 as the 
    ** int exf2 will be aligned on the next "word" (4 byte block on this
    ** machine) for efficiency 
    */
}
