/* display_all.c */

#include <stdio.h>
#include <emps.h>

void display_all (const empls *const head)
{
   /* starting with the first node in the list */
   const empls *temp_emp = head;

   /* if there is at least one employee in the list */
   if (temp_emp != NULL)
   {
      printf ("   a - Display all employees information\n\n");
      printf ("   --------------------------------------\n");

      /* Traverse the list, printing until you hit the NULL sentinel. */
      while (temp_emp != NULL)
      {
         printf ("   %s %d %d %d\n", 
            temp_emp->name,
            temp_emp->id,
            temp_emp->dept,
            temp_emp->age);

	 /* advance the pointer to the next node in the list */
	 temp_emp = temp_emp->next;
      }     /* end while */
      printf ("   --------------------------------------\n");

      go_on("Press ENTER to continue >");
   }     /* if temp_emp != NULL */
   else 
   {
      go_on("There are no employees in the list." 
	    "  Press ENTER to continue >");
   }     /* temp_emp == NULL */
}     /* display_all */
