/* write_emps.c */
#include <stdio.h>
#include <errno.h>
#include <emps.h>

void write_employees_to_file (const empls *const head)
{
   FILE *ofp;
   int num;
   const empls *temp_emp = head;

   /* open the file for writing list of employees */
   if ((ofp = fopen ("employees", "w")) != NULL)
   {
      while (temp_emp != NULL)
      {
         /* Write employees into file, one at a time. */
         if ((num = fwrite(temp_emp, sizeof(empls), 1, ofp)) < 1)
         {
   	     perror ("write_employees_to_file");
   	     exit (errno);
         }     /* if fwrite */

	 /* advance the pointer down the list */
	 temp_emp = temp_emp->next;
      }     /* temp_emp != NULL */

      /* close the file */
      fclose (ofp);
   }     /* if fopen */
}     /* write_employees_to_file */
