/* delete_all.c */

#include <stdio.h>
#include <emps.h>

void delete_all (empls **head)
{
   empls *temp_emp = *head,
	 *prev     = *head;

   /* traverse the list, deleting as you go */
   while (temp_emp != NULL) 
   {
      prev = temp_emp;
      temp_emp  = temp_emp->next;
      free (prev);
   }

   /* re-init the head pointer */
   *head = NULL;
}     /* delete_all */
